package space.nstart.pcp.pcp_mission_planing_service.repository

import org.springframework.data.jpa.repository.JpaRepository
import space.nstart.pcp.pcp_mission_planing_service.entity.MissionEntity
import java.util.UUID

interface MissionRepository : JpaRepository<MissionEntity, UUID> {
    fun countBySatelliteId(satelliteId: Long): Long
    fun deleteAllBySatelliteId(satelliteId: Long): Long
}
